''***************************
''* Propeller Template V1.0 *
''*  Author: Peter Quello   *
''*  Started: 18 JUN 2006   *
''*  Updated: 23 MAR 2007   *
''***************************

CON
  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000

VAR
  byte  idx, value
  byte  time
OBJ
  pc    :       "serial_terminal"
PUB Start
  pc.start
  pc.putc(12)
  pc.str(string("Hello!"))
  pc.putc(12)
  pause(1000)

  repeat idx from 0 to 47
    time := @sunday + idx
    if time := 15
      idx++
      value := @sunday + idx
      pc.dec(value)
      quit
    
PRI Pause(ms) | clkcycles, milisec
  waitcnt(clkfreq / 1000 * ms + cnt)
  return

DAT
sunday  byte  0, 70, 1, 70, 2, 70, 3, 70, 4, 70, 5, 70 
        byte  6, 70, 7, 70, 8, 70, 9, 70, 10, 70, 11, 70
        byte  12, 70, 13, 70, 14, 70, 15, 70, 16, 70, 17, 70 
        byte  18, 70, 19, 70, 20, 70, 21, 70, 22, 70, 23, 70